# pandas.DataFrame.get_dtype_counts

`DataFrame.``get_dtype_counts`()

  Return counts of unique dtypes in this object.

  Deprecated since version 0.25.0.

  Use .dtypes.value_counts() instead.

  Returns:

  dtype : Series

  > Series with the count of columns with each dtype.

  See also

  `dtypes`
    Return the dtypes in this object.

  Examples

      >>> a = [['a', 1, 1.0], ['b', 2, 2.0], ['c', 3, 3.0]]
      >>> df = pd.DataFrame(a, columns=['str', 'int', 'float'])
      >>> df
        str  int  float
      0   a    1    1.0
      1   b    2    2.0
      2   c    3    3.0

      >>> df.get_dtype_counts()
      float64    1
      int64      1
      object     1
      dtype: int64

Scroll To Top